## gromacs 2016.4

=== debian/changelog ===
gromacs (2016.4-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.0.  Set Priority to optional.
  * Drop Multi-Arch: same for libgromacs-dev, it seems to have some per-arch
    conflicts from autogenerated files.
  * Depend on sse2-support [any-i386] | neon-support [armhf], for the minimum
    useful levels of SIMD support on those architectures.  Also enable NEON
    for arm64.
  * Set hardening options BINDNOW and PIE.

 -- Nicholas Breen <nbreen@debian.org>  Sun, 17 Sep 2017 10:29:19 -0700

gromacs (2016.3-2) unstable; urgency=medium

  * Upload to unstable after the stretch release.
  * Remove the old gromacs-dev metapackage, now that it's passed one stable
    release with libgromacs-dev available.  Also remove some old Breaks:
    from well before oldstable.
  * Set Multi-Arch: foreign for gromacs-data, M-A: same for gromacs-dev and
    libgromacs2.

 -- Nicholas Breen <nbreen@debian.org>  Sun, 18 Jun 2017 13:32:39 -0700
