## gromacs 2018

=== debian/changelog ===
gromacs (2018-1) unstable; urgency=low

  * New upstream release.
    - Remove test_GMX_ALIGNED.patch, incorporated.
    - Update debian/man/*mdrun* man pages.
  * Bump Standards-Version to 4.1.3.

 -- Nicholas Breen <nbreen@debian.org>  Wed, 10 Jan 2018 22:23:18 -0800

gromacs (2018~rc1-3) experimental; urgency=medium

  * patches/gtest-death-test.patch: disable EXPECT_DEATH tests if
    unavailable on that platform.
  * patches/mdrun-test-timeout.patch: increase timeout for integration test
    (using mdrun) from 120 to 600 seconds, to help prevent termination on
    slower buildds.

 -- Nicholas Breen <nbreen@debian.org>  Wed, 03 Jan 2018 20:58:25 -0800

gromacs (2018~rc1-2) experimental; urgency=medium

  * Apply upstream patch <https://gerrit.gromacs.org/#/c/7395/> to address
    BasedefinitionsTest.GmxAlignedDeclaresAlignedVariable failures on non-
    Intel architectures.

 -- Nicholas Breen <nbreen@debian.org>  Wed, 27 Dec 2017 12:56:20 -0800

gromacs (2018~rc1-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Nicholas Breen <nbreen@debian.org>  Tue, 26 Dec 2017 23:10:55 -0800

gromacs (2018~beta3-1) experimental; urgency=medium

  [ Andreas Tille ]
  * New upstream version (beta2)
  * Moved packaging from SVN to Git

  [ Nicholas Breen ]
  * New upstream release (beta3).
  * Explicitly set MPIEXEC for the two different MPI implementations, to
    prevent mismatches via the alternatives system.  Also B-D on mpich,
    providing /usr/bin/mpiexec.mpich for tests.
  * Update Standards-Version to 4.1.2.
  * Remove obsolete zero byte file lintian overrides.
  * SONAME bump: rename libgromacs2 to libgromacs3.
  * Set GMX_EXTERNAL_ZLIB=ON to prevent it from opportunistically linking
    statically.

 -- Nicholas Breen <nbreen@debian.org>  Sun, 24 Dec 2017 10:35:12 -0800
