=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
                libopenmpi-dev (>= 1.10.2-7),
                libtinyxml-dev,
                libx11-dev,
+               mpich,
                openmpi-bin,
                zlib1g-dev
 Build-Depends-Indep: doxygen,
@@ -21,16 +22,16 @@
                      graphviz,
                      imagemagick,
                      mscgen,
-                     python-sphinx (>= 1.4),
+                     python-sphinx (>= 1.4.0),
                      rdfind,
                      symlinks,
                      texlive-fonts-recommended,
                      texlive-latex-base,
                      texlive-latex-extra
-Standards-Version: 4.1.0
+Standards-Version: 4.1.3
+Vcs-Browser: https://anonscm.debian.org/cgit/debichem/packages/gromacs.git
+Vcs-Git: https://anonscm.debian.org/git/debichem/packages/gromacs.git
 Homepage: http://www.gromacs.org/
-Vcs-Browser: https://anonscm.debian.org/viewvc/debichem/
-Vcs-Svn: svn://anonscm.debian.org/debichem/unstable/gromacs/
 
 Package: gromacs
 Architecture: any
@@ -71,7 +72,7 @@
  This package contains architecture-independent topology and force field
  data, documentation, man pages, and example files.
 
-Package: libgromacs2
+Package: libgromacs3
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -94,7 +95,7 @@
 Architecture: any
 Section: libdevel
 Depends: fftw3-dev,
-         libgromacs2 (= ${binary:Version}),
+         libgromacs3 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: gromacs-data
