=== debian/rules ===
--- 
+++ 
@@ -32,8 +32,8 @@
 	-DCMAKE_RULE_MESSAGES=OFF \
 	-DCMAKE_INSTALL_PREFIX="/usr" \
 	-DCMAKE_EXE_LINKER_FLAGS="$(LDFLAGS)" \
-	-DCMAKE_SKIP_RPATH=TRUE \
-	-DGMX_X11=ON 
+	-DCMAKE_SKIP_RPATH=ON \
+	-DGMX_EXTERNAL_ZLIB=ON
 
 # For compatibility reasons, disable SIMD CPU optimizations EXCEPT
 # for SSE2 on x86/amd64, VSX on ppc64el, and NEON on armhf/arm64.
@@ -76,15 +76,17 @@
 MPICH_CONFIG_PARAMS = \
 	-DGMX_MPI=ON \
 	-DGMX_X11=OFF \
-	-DGMX_DEFAULT_SUFFIX=FALSE \
-	-DGMX_BUILD_MDRUN_ONLY=TRUE
+	-DGMX_DEFAULT_SUFFIX=OFF \
+	-DMPIEXEC="/usr/bin/mpiexec.mpich" \
+	-DGMX_BUILD_MDRUN_ONLY=ON
 
 OPENMPI_CONFIG_PARAMS = \
 	-DGMX_MPI=ON \
-	-DGMX_DEFAULT_SUFFIX=FALSE \
 	-DGMX_X11=OFF \
+	-DGMX_DEFAULT_SUFFIX=OFF \
 	-DCMAKE_EXE_LINKER_FLAGS="-L/usr/lib/openmpi/lib $(LDFLAGS)" \
-	-DGMX_BUILD_MDRUN_ONLY=TRUE
+	-DMPIEXEC="/usr/bin/mpiexec.openmpi" \
+	-DGMX_BUILD_MDRUN_ONLY=ON
 
 # optional parallel build
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
@@ -95,8 +97,8 @@
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
-	(mkdir -p build/basic; cd build/basic; cmake $(COMMON_CONFIG_PARAMS) $(GPU_CONFIG_PARAMS) -DGMX_MPI=OFF -DBUILD_SHARED_LIBS=TRUE)
-	(mkdir -p build/basic-dp; cd build/basic-dp; cmake $(COMMON_CONFIG_PARAMS) -DGMX_MPI=OFF -DBUILD_SHARED_LIBS=TRUE -DGMX_DOUBLE=ON)
+	(mkdir -p build/basic; cd build/basic; cmake $(COMMON_CONFIG_PARAMS) $(GPU_CONFIG_PARAMS) -DGMX_MPI=OFF -DGMX_X11=ON -DBUILD_SHARED_LIBS=ON)
+	(mkdir -p build/basic-dp; cd build/basic-dp; cmake $(COMMON_CONFIG_PARAMS) -DGMX_MPI=OFF -DGMX_X11=ON -DBUILD_SHARED_LIBS=ON -DGMX_DOUBLE=ON)
 	(mkdir -p build/mpich; cd build/mpich; CC=/usr/bin/mpicc.mpich CXX=/usr/bin/mpicxx.mpich cmake \
 	$(COMMON_CONFIG_PARAMS) $(MPICH_CONFIG_PARAMS) $(GPU_CONFIG_PARAMS) -DGMX_BINARY_SUFFIX="_mpi.mpich" -DGMX_LIBS_SUFFIX="_mpi.mpich")
 	(mkdir -p build/mpich-dp; cd build/mpich-dp; CC=/usr/bin/mpicc.mpich CXX=/usr/bin/mpicxx.mpich cmake \
@@ -195,4 +197,3 @@
 	chmod 644 $(CURDIR)/debian/gromacs-data/usr/share/gromacs/shell-specific/*
 	dh_link -pgromacs-data usr/share/doc/gromacs/html usr/share/doc/gromacs-data/html
 	dh_link -pgromacs-data usr/share/doc/gromacs/html usr/share/doc/libgromacs-dev/html
-	dh_link -pgromacs-data usr/share/doc/gromacs/html usr/share/doc/libgromacs2/html
